#
# spec file for package python3-requests-mock
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-requests-mock
Version:        1.1.0
Release:        3.1
Summary:        Mock out responses from the requests package
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://requests-mock.readthedocs.org/
Source:         https://files.pythonhosted.org/packages/source/r/requests-mock/requests-mock-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Requests-mock provides a building block to stub out the HTTP requests
portions of your testing code. You should checkout the docs for more
information.

%prep
%setup -q -n requests-mock-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README.rst LICENSE ChangeLog AUTHORS

%changelog
* Sun Sep 18 2016 arun@gmx.de
- update to version 1.1.0:
  * Add a called_once property to adapter
  * Enable case sensitive matching
  * Provide fixture extras for pip
  * Allow doing real_http per mock via the mocker
  * Return b'' when reading closed response
  * Fixture documentation error
* Sat May 14 2016 arun@gmx.de
- update to version 1.0.0:
  * Add tox environment to run against master requests
  * Change dev status classifier to stable
  * Doc fixups
  * Expose cert and proxies as attributes of the last request
  * Add timeout and allow_retries to RequestProxy
  * Fix py34 DB issue and remove py33/py26
  * Remove pypip.in badge from readme
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun Mar 20 2016 arun@gmx.de
- initial version
